* Encoding: UTF-8.

*===================================================================================*
* TTULO DE LA SINTAXIS:*
* Clculo de la Tasa de Siniestros de Trnsito por cada 1000 vehculos matriculados*
* OPERACIN ESTADSTICA:*
* Anuario de Transporte 2017 - Siniestros de Trnsito*
*DIRECCIN TCNICA RESPONSABLE:*
* Direccin de Estadsticas Econmicas (DECON)*
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadstica y Censos (INEC)*
*===================================================================================*
* Fecha de elaboracin:        11 de Diciembre del 2018*
* Fecha ltima modificacin:  11 de Diciembre del 2018*
*===================================================================================*
* Elaborado por:*
* Unidad de Gestin de Estadsticas Estructurales (GESE)*.
* Franklin Tenesaca N.

*Instrucciones:.
*1.- Descarga la base de datos de Accidentes de Trnsito "2017_Accidentes Trnsito_BDD" en formato SPSS de la pgina web del INEC (http://www.ecuadorencifras.gob.ec//transporte/).
*2.- Guardar y abrir la base de datos "2017_Accidentes Trnsito_BDD".

DATASET NAME SINIESTROS.
DATASET COPY SINIESTROS.
DATASET  ACTIVATE SINIESTROS.

**********************************************************************************************************************.
*TASA DE SINIESTROS DE TRNSITO POR CADA MIL VEHCULOS A NIVEL PROVINCIAL***.
**********************************************************************************************************************.

***Creando variable nmero de siniestros***.
COMPUTE NST=1.
FORMATS NST (F5.0).
VARIABLE LABELS NST 'Nmero de siniestros'.
EXECUTE.

***Agregando la base de datos a nivel de provincia***.
DATASET DECLARE TASA_ACCIDENTES.
AGGREGATE
  /outfile='TASA_ACCIDENTES'
  /break=PROVINCIA
  /NST=SUM(NST).

**Utilizacin de la base de datos agregada***.
DATASET  ACTIVATE TASA_ACCIDENTES.

***Preparando la base para el clculo del indicador***.
VARIABLE LABELS NST 'Nmero de siniestros de trnsito'.
FORMATS NST (F10.0).
EXECUTE.

IF (PROVINCIA=1) VEHICULOS=141848.
IF (PROVINCIA=2) VEHICULOS=24906.
IF (PROVINCIA=3) VEHICULOS=40610.
IF (PROVINCIA=4) VEHICULOS=23093.
IF (PROVINCIA=5) VEHICULOS=67285.
IF (PROVINCIA=6) VEHICULOS=62404.
IF (PROVINCIA=7) VEHICULOS=105632.
IF (PROVINCIA=8) VEHICULOS=50898.
IF (PROVINCIA=9) VEHICULOS=480977.
IF (PROVINCIA=10) VEHICULOS=56330.
IF (PROVINCIA=11) VEHICULOS=69399.
IF (PROVINCIA=12) VEHICULOS=125183.
IF (PROVINCIA=13) VEHICULOS=189512.
IF (PROVINCIA=14) VEHICULOS=13552.
IF (PROVINCIA=15) VEHICULOS=8540.
IF (PROVINCIA=16) VEHICULOS=10685.
IF (PROVINCIA=17) VEHICULOS=511782.
IF (PROVINCIA=18) VEHICULOS=102555.
IF (PROVINCIA=19) VEHICULOS=8595.
IF (PROVINCIA=20) VEHICULOS=2616.
IF (PROVINCIA=21) VEHICULOS=26973.
IF (PROVINCIA=22) VEHICULOS=17039.
IF (PROVINCIA=23) VEHICULOS=68051.
IF (PROVINCIA=24) VEHICULOS=28799.
EXECUTE.

VARIABLE LABELS VEHICULOS 'Vehculos Motorizados Matriculados 2017'.
FORMATS VEHICULOS (F10.0).
EXECUTE.

COMPUTE TST=(NST/(VEHICULOS/1000)).
VARIABLE LABELS TST 'Tasa de siniestros de trnsito por cada 1000 vehculos matriculados'.
FORMATS TST (F5.0).
EXECUTE.

****CUADRO N 23****.

***Tabulado: Tasa de Accidentes de Trnsito por Provincias***.
TABLES
/OBSERVATION= NST VEHICULOS TST
/TABLE= PROVINCIA BY NST + VEHICULOS+ TST
/STATISTICS=sum
/TITLE='INDICADORES Siniestros DE TRNSITO, ao 2017'
           'POR PROVINCIA'
           '(Nmero)'
/CAPTION='Elaboracin: Instituto Nacional de Estadstica y Censos - INEC'
                 'Fuente: Agencia Nacional de Trnsito - ANT 2017'.
EXECUTE.

********************************************************************************************************************.
****TASA DE SINIESTROS DE TRNSITO POR CADA MIL VEHCULOS A NIVEL NACIONAL***.
********************************************************************************************************************.

*Usando base de datos "2016_Accidentes Trnsito_BDD"**.
DATASET ACTIVATE TASA_ACCIDENTES.

COMPUTE TOTAL=1.
VARIABLE LABELS TOTAL 'Nacional'.
VALUE LABELS TOTAL 1'NACIONAL'.
FORMATS TOTAL (F1.0).
EXECUTE.

***Agregando la base de datos a nivel nacional***.
DATASET DECLARE TASA_ACCIDENTES_N.
AGGREGATE
  /outfile='TASA_ACCIDENTES_N'
  /break=TOTAL
  /NST=SUM(NST)
  /VEHICULOS=SUM(VEHICULOS).

**Utilizacin de la base de datos agregada***.
DATASET ACTIVATE TASA_ACCIDENTES_N.

***Preparabdo la base para el clculo del indicador***.
VARIABLE LABELS NST 'Nmero de siniestros de trnsito'.
FORMATS NST (F10.0).
EXECUTE.

VARIABLE LABELS VEHICULOS 'Vehculos Motorizados Matriculados 2017'.
FORMATS VEHICULOS (F10.0).
EXECUTE.

COMPUTE TST=(NST/(VEHICULOS/1000)).
VARIABLE LABELS TST 'Tasa de siniestros de trnsito por cada 1000 Vehculos'.
FORMATS TST (F5.0).
EXECUTE.

****CUADRO N 23****.

***Tabulado: Tasa de Accidentes de Trnsito por Provincias***.
TABLES
/OBSERVATION= NST VEHICULOS TST
/TABLE= TOTAL BY NST + VEHICULOS+ TST
/STATISTICS=SUM
/TITLE='INDICADORES Siniestros DE TRNSITO, ao 2017'
           'POR PROVINCIA'
           '(Nmero)'
/CAPTION='Elaboracin: Instituto Nacional de Estadstica y Censos - INEC'
                 'Fuente: Agencia Nacional de Trnsito - ANT 2017'.
EXECUTE.


DATASET ACTIVATE SINIESTROS. 
DATASET CLOSE TASA_ACCIDENTES_N.
DATASET ACTIVATE SINIESTROS. 
DATASET CLOSE TASA_ACCIDENTES.








