* Encoding: UTF-8.

*===================================================================================*
* TTULO DE LA SINTAXIS:*
* Clculo: PROPORCIN DE PASAJEROS EXTRANJEROS TRANSPORTADOS POR FERROCARRIL POR CADA MIL QUE INGRESARON AL PAS POR MOTIVO DE TURISMO*
* OPERACIN ESTADSTICA:*
* Anuario de Transporte 2017 - Transporte Ferroviario*
*DIRECCIN TCNICA RESPONSABLE:*
* Direccin de Estadsticas Econmicas (DECON)*
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadstica y Censos (INEC)*
*===================================================================================*
* Fecha de elaboracin:        11 de Diciembre del 2018*
* Fecha ltima modificacin:   11 de Diciembre del 2018*
*===================================================================================*
* Elaborado por:*
* Unidad de Gestin de Estadsticas Estructurales (GESE)*.
* Joselyn Quisnancela.
* Franklin Tenesaca N.

*Instrucciones:.
*1.- Descarga la base de datos de Transporte Ferroviario "2017_Transporte_Ferroviario_BDD" en formato SPSS de la pgina web del INEC (http://www.ecuadorencifras.gob.ec//transporte/).
*2.- Guardar y abrir la base de datos "2017_Transporte_Ferroviario_BDD".

DATASET NAME FERROCARRILES.
DATASET COPY FERROCARRILES.
DATASET ACTIVATE FERROCARRILES.

**********************************************************************************************************************.
**************PROPORCIN DE EXTRANJEROS QUE USARON EL FERROCARRIL*********************.
********************************************POR CADA MIL*******************************************************.
**********************************************************************************************************************.

COMPUTE PASAJEROS=1.
FORMATS PASAJEROS (F10.0).
VARIABLE LABELS PASAJEROS 'Nmero de pasajeros'.
EXECUTE.

SELECT IF (NACIONALIDAD=2).

***Agregando la base de datos por mes de entrada***.

DATASET DECLARE PASAJEROS.
AGGREGATE
  /outfile='PASAJEROS'
  /break=MES
  /PASAJEROS=SUM(PASAJEROS).

DATASET ACTIVATE PASAJEROS.

VARIABLE LABELS PASAJEROS 'Pasajeros extranjeros transportados por ferrocarril'.
FORMATS PASAJEROS (F10.0).
VARIABLE LEVEL PASAJEROS (SCALE).
EXECUTE.

IF (MES=1) EXTRANJEROS_ESI=113808.
IF (MES=2) EXTRANJEROS_ESI=90672.
IF (MES=3) EXTRANJEROS_ESI=85727.
IF (MES=4) EXTRANJEROS_ESI=83655.
IF (MES=5) EXTRANJEROS_ESI=79594.
IF (MES=6) EXTRANJEROS_ESI=105004.
IF (MES=7) EXTRANJEROS_ESI=130394.
IF (MES=8) EXTRANJEROS_ESI=102986.
IF (MES=9) EXTRANJEROS_ESI=89251. 
IF (MES=10) EXTRANJEROS_ESI=102501.
IF (MES=11) EXTRANJEROS_ESI=108666.
IF (MES=12) EXTRANJEROS_ESI=145126.
EXECUTE.

VARIABLE LABELS EXTRANJEROS_ESI 'Pasajeros extranjeros que ingresaron al pas por motivo de turismo'.
FORMATS EXTRANJEROS_ESI (F10.0).
VARIABLE LEVEL EXTRANJEROS_ESI (SCALE).
EXECUTE.

COMPUTE PEXTRANJEROS= (PASAJEROS/(EXTRANJEROS_ESI/1000)).
FORMATS PEXTRANJEROS (F5.0).
VARIABLE LABELS PEXTRANJEROS 'Pasajeros extranjeros transportados en ferrocarril por cada mil extranjeros que ingresaron al pas por motivo de turismo '.
EXECUTE.

SORT CASES BY MES (A).


***CUADRO N 31***.

****POR MES****.

TABLES
/OBSERVATION= EXTRANJEROS_ESI PASAJEROS PEXTRANJEROS
/TABLE=MES BY EXTRANJEROS_ESI + PASAJEROS + PEXTRANJEROS
/STATISTICS=SUM
/TITLE='CUADRO N 31'
            'PASAJEROS EXTRANJEROS TRANSPORTADOS EN FERROCARRIL POR CADA MIL EXTRANJEROS QUE INGRESARON AL PAS POR MOTIVO DE TURISMO, ao 2017'
            'POR MES'
            '(Nmero)'
/CAPTION='Elaboracin: Instituto Nacional de Estadstica y Censos - INEC'
                 'Fuente: INEC - Entradas y Salidas Internacionales - ESI 2017' 
                 'FEEP - Ferrocarriles del Ecuador Empresa Pblica 2017'. 	


***DATO NACIONAL***.

DATASET ACTIVATE PASAJEROS.

COMPUTE TOTAL=1.
VALUE LABELS TOTAL 1 'NACIONAL'.
VARIABLE LABELS TOTAL 'TOTAL'.
FORMATS TOTAL (F1.0).
EXECUTE.

DATASET DECLARE NACIONAL.
AGGREGATE
  /outfile='NACIONAL'
  /break=TOTAL
  /PASAJEROS=SUM(PASAJEROS)
  /EXTRANJEROS_ESI=SUM(EXTRANJEROS_ESI).

DATASET ACTIVATE NACIONAL.

VARIABLE LABELS EXTRANJEROS_ESI 'Pasajeros extranjeros que ingresaron al pas por motivo de turismo'.
FORMATS EXTRANJEROS_ESI (F10.0).
VARIABLE LEVEL EXTRANJEROS_ESI (SCALE).
EXECUTE.

VARIABLE LABELS PASAJEROS 'Pasajeros extranjeros transportados por ferrocarril'.
FORMATS PASAJEROS (F10.0).
VARIABLE LEVEL PASAJEROS (SCALE).
EXECUTE.

COMPUTE PEXTRANJEROS= (PASAJEROS/(EXTRANJEROS_ESI/1000)).
FORMATS PEXTRANJEROS (F5.0).
VARIABLE LABELS PEXTRANJEROS 'Pasajeros extranjeros transportados en ferrocarril por cada mil extranjeros que ingresaron al pas por motivo de turismo '.
EXECUTE.


TABLES
/OBSERVATION= EXTRANJEROS_ESI PASAJEROS PEXTRANJEROS
/TABLE=TOTAL BY EXTRANJEROS_ESI + PASAJEROS + PEXTRANJEROS
/STATISTICS=SUM
/TITLE='CUADRO N 31'
            'PASAJEROS EXTRANJEROS TRANSPORTADOS EN FERROCARRIL POR CADA MIL EXTRANJEROS QUE INGRESARON AL PAS POR MOTIVO DE TURISMO, ao 2017'
            'POR MES'
            '(Nmero)'
/CAPTION='Elaboracin: Instituto Nacional de Estadstica y Censos - INEC'
                 'Fuente: INEC - Entradas y Salidas Internacionales - ESI 2017' 
                 'FEEP - Ferrocarriles del Ecuador Empresa Pblica 2017'. 


DATASET ACTIVATE FERROCARRILES.
DATASET CLOSE PASAJEROS.
DATASET ACTIVATE FERROCARRILES.
DATASET CLOSE NACIONAL.



