* Encoding: UTF-8.

*===================================================================================*
* TTULO DE LA SINTAXIS:*
* Clculo: TASA DE VEHCULOS MATRICULADOS POR CADA MIL HABITANTES*
* OPERACIN ESTADSTICA:*
* Anuario de Transporte 2017 - Vehculos Motorizados Matriculados*
*DIRECCIN TCNICA RESPONSABLE:*
* Direccin de Estadsticas Econmicas (DECON)*
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadstica y Censos (INEC)*
*===================================================================================*
* Fecha de elaboracin:        11 de Diciembre del 2018*
* Fecha ltima modificacin:   11 de Diciembre del 2018*
*===================================================================================*
* Elaborado por:*
* Unidad de Gestin de Estadsticas Estructurales (GESE)*.
* Joselyn Quisnancela.
* Franklin Tenesaca N.

*Instrucciones:.
*1.- Descarga la base de datos de Vehculos Matriculados "2017_vehiculos_matriculados_bdd" en formato SPSS de la pgina web del INEC (http://www.ecuadorencifras.gob.ec//transporte/).
*2.- Guardar y abrir la base de datos "2017_vehiculos_matriculados_bdd".

DATASET NAME VEHICULOS_MATRICULADOS.
DATASET COPY VEHICULOS_MATRICULADOS.
DATASET ACTIVATE VEHICULOS_MATRICULADOS.

**********************************************************************************************************************.
**************TASA DE VEHCULOS MATRICULADOS POR CADA MIL HABITANTES*********************.
**********************************************************************************************************************.

COMPUTE VEHICULOS=1.
FORMATS VEHICULOS (F10.0).
VARIABLE LABELS VEHICULOS 'Nmero de vehculos'.
EXECUTE.

***Agregando la base de datos segn provincia**.

DATASET DECLARE VEHICULOS.
AGGREGATE
  /outfile='VEHICULOS'
  /break=PROVINCIA
  /VEHICULOS=SUM(VEHICULOS).

DATASET ACTIVATE VEHICULOS.

VARIABLE LABELS VEHICULOS 'Nmero de vehculos motorizados matriculados'.
FORMATS VEHICULOS (F10.0).
VARIABLE LEVEL VEHICULOS (SCALE).
EXECUTE.

IF (PROVINCIA=1) POBLACION=838859.
IF (PROVINCIA=2) POBLACION=125538.
IF (PROVINCIA=3) POBLACION=617851.
IF (PROVINCIA=4) POBLACION=267643.
IF (PROVINCIA=5) POBLACION=434849.
IF (PROVINCIA=6) POBLACION=470167.
IF (PROVINCIA=7) POBLACION=375646.
IF (PROVINCIA=8) POBLACION=506035.
IF (PROVINCIA=9) POBLACION=4207610. 
IF (PROVINCIA=10) POBLACION=457737.
IF (PROVINCIA=11) POBLACION=510935.
IF (PROVINCIA=12) POBLACION=888351.
IF (PROVINCIA=13) POBLACION=1523950.
IF (PROVINCIA=14) POBLACION=215499.
IF (PROVINCIA=15) POBLACION=155453.
IF (PROVINCIA=16) POBLACION=112835.
IF (PROVINCIA=17) POBLACION=3059971.
IF (PROVINCIA=18) POBLACION=570933.
IF (PROVINCIA=19) POBLACION=105494.
IF (PROVINCIA=20) POBLACION=30890.
IF (PROVINCIA=21) POBLACION=205094.
IF (PROVINCIA=22) POBLACION=182719.
IF (PROVINCIA=23) POBLACION=689760.
IF (PROVINCIA=24) POBLACION=183728.
IF (PROVINCIA=99) POBLACION=39430.
EXECUTE.

VARIABLE LABELS POBLACION 'Proyeccin poblacional'.
FORMATS POBLACION (F10.0).
VARIABLE LEVEL POBLACION (SCALE).
EXECUTE.

COMPUTE TMV= (VEHICULOS/(POBLACION/1000)).
FORMATS TMV (F5.0).
VARIABLE LABELS TMV 'Tasa de vehculos matriculados por cada mil habitantes'.
EXECUTE.

SORT CASES BY PROVINCIA (A).


***CUADRO N 15***.

****POR PROVINCIAS****.

TABLES
/OBSERVATION= VEHICULOS POBLACION TMV
/TABLE=PROVINCIA BY VEHICULOS + POBLACION + TMV
/STATISTICS=SUM
/TITLE='CUADRO N 15'
            'VEHCULOS MATRICULADOS POR CADA 1000 HABITANTES, ao 2017'
            'POR PROVINCIAS'
            '(Nmero)'
/CAPTION='Elaboracin: Instituto Nacional de Estadstica y Censos - INEC'
                 'Fuente: ANT - Agencia Nacional de Trnsito- 2017' 
                 'INEC - Proyecciones Poblacionales 2017'. 	


DATASET ACTIVATE VEHICULOS_MATRICULADOS.
DATASET CLOSE VEHICULOS.
.





